<?php get_header();

global $wp_query;

?>
<?php get_template_part("parts/part", "notification-create-account"); ?>

<!-- Insert Holiday Banner -->
<?php echo wp_get_attachment_image(45281, 'full', false, array('style' => 'width:100%;max-width:1600px;margin: 20px auto;display:block;')); ?>
<!-- Insert Holiday Banner END-->

<div class="grid-container vehicle__archive">

	<?php
		$obj = get_queried_object();
		if(is_a($obj, 'WP_Term') && !empty($obj->description)):
	?>
		<div class="archive__header">
			<div class="taxonomy-description">
				<h1 class="sentence"><?= $obj->taxonomy == 'stock_status' ?  \coast\Models\VehicleCategory::getTitle($obj) : $obj->name; ?></h1>
				<?= $obj->description ?>
			</div>
		</div>
	<?php endif; ?>

	<div id="content">
		<div id="inner-content">

			<main id="main" role="main">

				<header>
					<h2>Your search found <strong><?= $wp_query->found_posts; ?></strong> items</h2>
					<div class="divider" aria-hidden="true"></div>
					<?php if(have_posts()): ?>
						<?php
							$orders = array(
								"featured"	=> "Featured",
								"newest"	=> "Latest Listings",
								"odometer_asc"	=> "Odometer (Low to High)",
								"odometer_desc"	=> "Odometer (High to Low)"
							);

							$cur_sort_val = isset($_GET['archive_sort_by']) ? $_GET['archive_sort_by'] : 'newest';
						?>
						<form>
							<div class="select-wrapper has-label">
								<label for="archive_sort_by">Sort By:</label>
								<select name="archive_sort_by" id="archive_sort_by" class="placeholder" onchange="this.form.submit()">
									<?php foreach($orders as $key=>$val): ?>
										<option value="<?= $key ?>" <?php selected($cur_sort_val, $key) ?>><?= $val ?></option>
									<?php endforeach; ?>
								</select>
							</div>
						</form>
					<?php endif; ?>
				</header>

				<div class="grid-x grid-margin-x" >
					<?php if(!\coast\Models\Vehicle::isMachineryPage()): ?>
						<div class="cell medium-3">
							<?php
								$filter = \coast\Filter::get_instance();
								$filter->get_filter();
							?>
						</div>
					<?php endif; ?>
					<div class="cell medium-<?= \coast\Models\Vehicle::isMachineryPage() ? 12 : 9 ?>">
						<?php if (have_posts()): ?>
							<div class="grid-x grid-margin-x grid-margin-y" data-infinite-scroll>
								<?php while (have_posts()): the_post(); ?>
									<div class="medium-<?= \coast\Models\Vehicle::isMachineryPage() ? 4 : 6 ?> cell">
										<?php get_template_part( 'parts/tile', 'vehicle' ); ?>
									</div>
								<?php endwhile; ?>
							</div>
							<?php csframework_page_navi(); ?>
						<?php else: ?>
							<div class="va__empty">
								<p>No Vehicles were found that matched your search. Can't find what you're looking for? Send us a message</p>

								<?php
									$field_args = \coast\Utils::get_gravity_prefill();
									$field_args["stock_vehicle"] = "Empty Search";

									gravity_form(1, false, false,false, $field_args, true, 1, true);
								?>
							</div>
						<?php endif; ?>
					</div>
				</div>

				<?php if(!empty($seo_content = get_field("seo_content", get_queried_object()))): ?>
					<div class="content">
						<?= $seo_content; ?>
					</div>
				<?php endif; ?>
			</main>
		</div>
	</div>
</div>

<?php get_footer(); ?>
