// Initialise Foundation
jQuery(document).foundation();

/*
These functions make sure WordPress
and Foundation play nice together.
*/
jQuery(document).ready(function() {

	// Remove empty P tags created by WP inside of Accordion and Orbit
	jQuery('.accordion p:empty, .orbit p:empty').remove();

	// Makes sure last grid item floats left
	jQuery('.archive-grid .columns').last().addClass( 'end' );

	// Adds Flex Video to YouTube and Vimeo Embeds
	jQuery('iframe[src*="youtube.com"], iframe[src*="vimeo.com"]').each(function() {
		if (jQuery(this).innerWidth() / jQuery(this).innerHeight() > 1.5) {
			jQuery(this).wrap("<div class='widescreen flex-video'/>");
		} else {
			jQuery(this).wrap("<div class='flex-video'/>");
		}
	});

	// Add FA Spinner to Ajax Loader
	jQuery('span.ajax-loader').html('<i class="fa fa-spinner fa-pulse fa-fw"> </i>');

	// Toggle SearchForm
	jQuery('[data-js-searchtrigger]').on('click', function(e) {
		e.preventDefault();
		jQuery('[data-js-searchbox]').slideToggle();
	});

	// Smooth Scroll on Anchor Elements
	jQuery('a.smooth').click(function() {
		jQuery('html, body').animate({
			scrollTop: jQuery( jQuery.attr(this, 'href') ).offset().top
		}, 500);
		return false;
	});

	jQuery('select').on('change', function() {
		if (jQuery(this).val() === '' || jQuery(this).val() === 'all') {
			jQuery(this).addClass('placeholder');
		} else {
			jQuery(this).removeClass('placeholder');
		}
	});

});
