'use strict';
(function() {
	// Global Banner Functions
	var csVehicleTile = {
		/**
		* Stores cached elements
		**/
		cache: {
			slider: jQuery('.tile__vehicle .tile__vehicle-slider')
		},
		/**
		* @function
		* Initialises the Tile Functions
		*/
		init: function() {
			this.initSlider();
		},
		/**
		* @function
		* Initialises the Slider
		*/
		initSlider: function() {

			this.cache.slider.each((indx, element) => {
				this.initSliderOnEl(jQuery(element));
			});
		},
		initSliderOnEl: function (el) {
			if (el.hasClass('slick-initialized')) {
				return el.slick('resize');
			}

			el.slick({
				dots: false,
				infinite: true,
				speed: 500,
				slidesToShow: 1,
				slidesToScroll: 1,
				autoplay: false,
				arrows: true,
				// eslint-disable-next-line max-len
				prevArrow: el.parent().find('.slick-prev'),
				// eslint-disable-next-line max-len
				nextArrow: el.parent().find('.slick-next'),
				rows: 0,
				cssEase: 'cubic-bezier(0.645, 0.045, 0.355, 1.000)'
			});
		}
	};

	window.csVehicleTile = csVehicleTile;

	if (jQuery('.tile__vehicle').length) {
		csVehicleTile.init();
	}
})();
