'use strict';
(function() {
	// Global Banner Functions
	var csVehicleFavourite = {
		/**
		* Config Options
		**/
		config: {
			ajax_action: 'mct_favourite',
		},
		/**
		* @function
		* Initialises the Banner
		*/
		init: function() {

			// eslint-disable-next-line no-undef
			if (typeof csFramework === 'undefined' || typeof csFramework.ajax_url === 'undefined') {
				return;
			}

			jQuery(document).on('click', '[data-favourite-btn]', (e) => {
				e.preventDefault();

				// Check if user logged in
				// eslint-disable-next-line no-undef
				var curUser = parseInt(csFramework.current_user, 10);
				console.log(curUser);
				if (curUser === 0) {
					return this.showToast('Create an Account or Login to save trucks');
				}

				var btn = jQuery(e.currentTarget);

				if (btn.hasClass('active')) {
					this.removeFavourite(btn.attr('data-favourite-btn'));
				} else {
					this.addFavourite(btn.attr('data-favourite-btn'));
				}
			});
		},
		addFavourite: function(postId) {
			jQuery.ajax({
				// eslint-disable-next-line no-undef
				url: csFramework.ajax_url,
				type: 'GET',
				data: {
					action: this.config.ajax_action,
					type: 'add',
					post_id: postId
				},
				success: () => {
					this.toggleBtn(postId, 'add');
				}
			});
		},
		removeFavourite: function(postId) {
			jQuery.ajax({
				// eslint-disable-next-line no-undef
				url: csFramework.ajax_url,
				type: 'GET',
				data: {
					action: this.config.ajax_action,
					type: 'remove',
					post_id: postId
				},
				success: () => {
					this.toggleBtn(postId, 'remove');
				}
			});
		},
		toggleBtn: function(postId, action) {
			var buttons = jQuery('[data-favourite-btn=' + postId + ']');

			if (action === 'add') {
				buttons.addClass('active');
				buttons.text(buttons.attr('data-title-true'));
			} else {
				buttons.removeClass('active');
				buttons.text(buttons.attr('data-title-false'));
			}
		},
		showToast: function(message) {
			var toast = jQuery('#snackbar');
			toast.html(message);
			toast.addClass('show');

			setTimeout(() => {
				toast.removeClass('show');
			}, 3000);
		}
	};

	csVehicleFavourite.init();

})();
