
'use strict';
(function() {
	// Global Banner Functions
	var csReveal = {
		/**
		* Stores cached elements
		**/
		cache: {
			trigger: jQuery('[data-enquire-reveal]'),
			reveal: jQuery('#reveal__enquire'),
			trigger_callback: jQuery('[data-callback-reveal]'),
			reveal_callback: jQuery('#reveal__callback'),
			form_callback: jQuery('#reveal__callback #gform_3'),
			form: false
		},
		/**
		* @function
		* Initialises the Banner
		*/
		init: function() {
			this.initEnquiry();
			this.initCallback();

			jQuery(document).on('gform_confirmation_loaded', (e, formID) => {
				if (formID === 2) {
					setTimeout(() => {
						// Only close the reveal if it hasn't already been reset
						if (this.cache.reveal.find('#gform_confirmation_wrapper_2').length) {
							this.cache.reveal.foundation('close');
						}

						this.resetForm();
					}, 5000);
				}

				if (formID === 3) {
					setTimeout(() => {
					 	this.cache.reveal_callback.foundation('close');
					}, 25);
					this.completeCallback();
				}
			});
		},
		initCallback: function() {
			if (!this.cache.trigger_callback.length) {
				return;
			}

			jQuery(document).on('click', '[data-callback-reveal]', (e) => {
				e.preventDefault();

				// Check if the form is prefilled or not
				var valName = this.cache.form_callback.find('#input_3_1').val();
				var valPhone = this.cache.form_callback.find('#input_3_3').val();

				// eslint-disable-next-line max-len
				if (typeof valName === 'undefined' || valName === '' || typeof valPhone === 'undefined' || valPhone === '') {
					this.cache.reveal_callback.foundation('open');
				} else {
					this.cache.reveal_callback.foundation('open');
					this.cache.form_callback.trigger('submit', [true]);
				}


			});
		},
		completeCallback: function() {
			this.cache.trigger_callback.remove();
			jQuery('.vehicle__callback-success').addClass('active');
		},
		initEnquiry: function() {
			// Cache Form
			var form = this.cache.reveal.find('#gform_wrapper_2');

			if (form.length) {

				form.find('.gfield').each((index, el) => {
					el = jQuery(el);

					var inputVal = el.find('input[type=text],input[type=tel],input[type=email]').val();

					if (typeof inputVal !== 'undefined' && inputVal !== '') {
						el.hide();
					}
				});

				this.cache.form = form.clone();
			}

			jQuery(document).on('click', '[data-enquire-reveal]', (e) => {

				if (!this.cache.reveal.length) {
					return true;
				}

				e.preventDefault();

				// Reset form if it hasn't already been reset
				if (this.cache.reveal.find('#gform_confirmation_wrapper_2').length) {
					this.resetForm();
				}

				// Set Form Value
				this.cache.reveal.find('#input_2_6').val(jQuery(e.currentTarget).attr('data-enquire-reveal'));

				return this.cache.reveal.foundation('open');
			});

			this.cache.reveal.on('closed.zf.reveal', (e) => {
				// eslint-disable-next-line max-len
				if (this.cache.reveal.find('#gform_confirmation_wrapper_2').length || this.cache.form === false) {
					return;
				}
				this.cache.reveal.find('#gform_2').replaceWith(this.cache.form);
			});
		},
		resetForm: function() {

			if (!this.cache.reveal.find('#gform_confirmation_wrapper_2').length && this.cache.form !== false) {
				return;
			}

			this.cache.reveal.find('#gform_confirmation_wrapper_2').remove();
			this.cache.reveal.find('#gf_2').replaceWith(this.cache.form);
		}
	};

	csReveal.init();

})();
