'user strict';

// Global Banner Functions
var csTestimonials = {
	/**
	* Stores cached elements
	**/
	cache: {},
	/**
	* @function
	* Initialises all objects required for the Banner Functions
	* @param {jQuery Element} el - jQuery Banner Element
	*/
	initCache: function(el) {
		this.cache = {
			slider: el
		};
	},
	init: function() {
		this.initCache(jQuery('.testimonial-slider'));

		if (this.cache.slider.length) {
			this.initSlider();
		}
	},
	initSlider: function() {
		this.cache.slider.slick({
			infinite: this.cache.slider.children().length > 1,
			speed: 300,
			adaptiveHeight: true,
			slidesToShow: 1,
			slidesToScroll: 1,
			autoplay: true,
			dots: this.cache.slider.children().length > 1,
			appendDots: '.testimonial_slider .slider_dots.banner_dots',
			prevArrow: '<div class="slick-prev"></div>',
			nextArrow: '<div class="slick-next"></div>',
			responsive: [
				{
					breakpoint: 1024,
					settings: {
						arrows: this.cache.slider.children().length > 1
					}
				},
				{
					breakpoint: 640,
					settings: {
						arrows: false
					}
				},
				{
					breakpoint: 0,
					settings: {
						arrows: false,
						dots: this.cache.slider.children().length > 1
					}
				}
			]
		});
	}
};

window.csTestimonials = csTestimonials;

jQuery(function() {
	csTestimonials.init();
});
