<?php
	if ( post_password_required() ) {
		return;
	}
?>

<?php if (comments_open()): ?>
	<div id="comments" data-comments-container class="comments-area <?php if(is_user_logged_in()) : echo 'logged_in'; endif; ?>">
	
		<div class="comment_header">
			<div class="grid-x">
				<div class="medium-6 cell">
					<h3>Comments</h3>
				</div>
				<div class="medium-6 cell">
					<?php do_action('cs_framework_share'); ?>
				</div>
			</div>
		</div>
<?php endif ?>

	<?php 
		$current_user = wp_get_current_user();
	
		$comment_form_template = array(
									'title_reply'			=> '',
									'class_submit'			=>'button',
									'logged_in_as'			=> "",
									'comment_notes_before'	=> '',
									'comment_field'			=> '
										<div class="commentfield">
										<div class="media-object-section">
											<div class="media-object-avatar">
												'. get_avatar( $current_user->user_email, 75 ) .'
											</div>
										</div>
										<div class="media-object-section">
											<textarea id="comment" data-js="expand_textarea" name="comment" cols="45" rows="1" aria-required="true" placeholder="Join the discussion..."></textarea>
										</div>
									</div>'
								);
		comment_form($comment_form_template); 
	?>

	<?php if(have_comments()): ?>
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
			<nav id="comment-nav-above" class="navigation comment-navigation" role="navigation">
				<h2 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'csframeworkwp' ); ?></h2>
				<div class="nav-links">
					<div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'csframeworkwp' ) ); ?></div>
					<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'csframeworkwp' ) ); ?></div>
				</div><!-- .nav-links -->
			</nav><!-- #comment-nav-above -->
		<?php endif; // Check for comment navigation. ?>

		<ol class="commentlist">
			<?php wp_list_comments('type=comment&callback=csframework_comments'); ?>
		</ol>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
			<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
				<h2 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'csframeworkwp' ); ?></h2>
				<div class="nav-links">
					<div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'csframeworkwp' ) ); ?></div>
					<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'csframeworkwp' ) ); ?></div>
				</div><!-- .nav-links -->
			</nav><!-- #comment-nav-below -->
		<?php endif; // Check for comment navigation. ?>

	<?php endif; // Check for have_comments(). ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && 0 != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="callout warning"><?php esc_html_e( 'Comments are closed.', 'csframeworkwp' ); ?></p>
	<?php endif; ?>

</div><!-- #comments -->