<?php
	//Switch to main site for loading of footer
	if(!\coast\coast::isMainSite()) {
		switch_to_blog(CSFRAMEWORK_MAIN_SITE);
	}
?>
					<footer class="footer" role="contentinfo">
						<div class="footer_top">
							<div class="grid-container">
								<div class="grid-x grid-margin-x grid-margin-y">
									<div class="cell medium-6 large-3">
									<?php
										if ( function_exists( 'the_custom_logo' ) ) {
											$custom_logo_id = get_theme_mod( 'custom_logo' );
										}
									?>
										<?php if(!empty($custom_logo_id)): ?>
											<img class="logo" alt="<?= \coast\ImageUtils::get_alt($custom_logo_id) ?>" src="<?= wp_get_attachment_image_url($custom_logo_id, "large") ?>">
										<?php endif; ?>

										<h2>Connect with us</h2>
										<?php csframework_get_social_links(); ?>
									</div>

									<?php if(false && !empty($menu = get_term(get_nav_menu_locations()['footer-links'], 'nav_menu'))): ?>
										<div class="cell medium-6 large-3">
											<h2><?= $menu->name; ?></h2>
											<?php csframework_footer_links(); ?>
										</div>
									<?php endif; ?>


									<div class="cell medium-6 large-3">
										<h2>Midcoast Trucks<br>Macksville</h2>

										<ul class="menu contact">
											<?php if(!empty($phone = get_field("phone", "options"))): ?>
												<li><a href="tel:<?= \coast\Utils::get_raw_phone_number($phone) ?>"><i class="fas fa-phone" aria-hidden="true"></i> <?= \coast\Utils::format_phone_number($phone) ?></a></li>
											<?php endif; ?>
											<?php if(!empty($email = get_field("email", "options"))): ?>
												<li><a href="mailto:<?= $email?>" target="_blank"><i class="fas fa-envelope" aria-hidden="true"></i> <?= $email ?></a></li>
											<?php endif; ?>
											<?php if(!empty($addr = \coast\Utils::get_address("options"))): ?>
												<li><a href="<?= \coast\Utils::get_direction_url($addr) ?>" target="_blank" rel="noopener nofollow noreferrer" aria-label="Open directions to MidCoast Trucks in Google Maps"><i class="fas fa-map-marker-alt" aria-hidden="true"></i> <?= $addr ?></a></li>
											<?php endif; ?>
										</ul>
									</div>


									<div class="cell medium-6 large-3">
										<h2>Midcoast Trucks<br>Coffs Harbour</h2>

										<ul class="menu contact">
											<?php if(!empty($phone = get_field("phone", 99))): ?>
												<li><a href="tel:<?= \coast\Utils::get_raw_phone_number($phone) ?>"><i class="fas fa-phone" aria-hidden="true"></i> <?= \coast\Utils::format_phone_number($phone) ?></a></li>
											<?php endif; ?>
											<?php if(!empty($email = get_field("email", 99))): ?>
												<li><a href="mailto:<?= $email?>" target="_blank"><i class="fas fa-envelope" aria-hidden="true"></i> <?= $email ?></a></li>
											<?php endif; ?>
											<?php if(!empty($addr = \coast\Utils::get_address(99))): ?>
												<li><a href="<?= \coast\Utils::get_direction_url($addr) ?>" target="_blank" rel="noopener nofollow noreferrer" aria-label="Open directions to MidCoast Trucks in Google Maps"><i class="fas fa-map-marker-alt" aria-hidden="true"></i> <?= $addr ?></a></li>
											<?php endif; ?>
										</ul>
									</div>

									<div class="cell medium-6 large-3">
										<h2>Midcoast Trucks<br>Port Macquarie</h2>

										<ul class="menu contact">
											<?php if(!empty($phone = get_field("phone", 505))): ?>
												<li><a href="tel:<?= \coast\Utils::get_raw_phone_number($phone) ?>"><i class="fas fa-phone" aria-hidden="true"></i> <?= \coast\Utils::format_phone_number($phone) ?></a></li>
											<?php endif; ?>
											<?php if(!empty($email = get_field("email", 505))): ?>
												<li><a href="mailto:<?= $email?>" target="_blank"><i class="fas fa-envelope" aria-hidden="true"></i> <?= $email ?></a></li>
											<?php endif; ?>
											<?php if(!empty($addr = \coast\Utils::get_address(505))): ?>
												<li><a href="<?= \coast\Utils::get_direction_url($addr) ?>" target="_blank" rel="noopener nofollow noreferrer" aria-label="Open directions to MidCoast Trucks in Google Maps"><i class="fas fa-map-marker-alt" aria-hidden="true"></i> <?= $addr ?></a></li>
											<?php endif; ?>
										</ul>
									</div>

									<?php if(!empty($gallery = get_field("header_logos", "options"))): ?>
										<div class="cell medium-12">
											<div class="icon-wrapper">
												<?php foreach($gallery as $image): ?>
													<div class="icon"><img src="<?= wp_get_attachment_image_url($image, 'medium') ?>" alt="<?= \coast\ImageUtils::get_alt($image) ?>"></div>
												<?php endforeach; ?>
											</div>
										</div>
									<?php endif; ?>

								</div>
							</div>
						</div>

						<div class="footer_bottom grid-container">
							<div class="grid-x grid-margin-x">

								<div class="large-6 medium-12 cell">
									<div class="copyright">&copy; <?php echo date('Y'); ?> <?php bloginfo('name'); ?>. <span class="source-org">Made By <a href="https://wearecoast.com.au/" rel="nofollow" target="_blank">Coast</a></span> | <a href="<?= get_admin_url() ?>">Site Admin</a></div>
								</div>

								<div class="large-6 medium-12 cell">
									<?php csframework_footer_copy_links() ?>
								</div>

							</div>
						</div>
					</footer> <!-- end .footer -->

				</div>  <!-- end .main-content -->
			</div> <!-- end .off-canvas-wrapper-inner -->
		</div> <!-- end .off-canvas-wrapper -->

		<?php get_template_part("parts/part", "action-bar"); ?>
		<?php restore_current_blog() ?>

		<?php
			if(\coast\coast::isStockSite()){
				get_template_part("parts/reveal", "enquire");
			}
		?>

		<div id="snackbar"></div>

		<script id="google=maps" type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyD5E1KHCV99zemmVcYbFxjw6muMtBvfnLg"></script>

		<?php wp_footer(); ?>
		<!-- Start of midcoasttrucks Zendesk Widget script -->
		<script id="ze-snippet" src="https://static.zdassets.com/ekr/snippet.js?key=f870e044-a551-477f-8227-0f2739e47bf3"> </script>
		<!-- End of midcoasttrucks Zendesk Widget script -->
		<!-- Audio Pixel -->
		<img src="https://sca-5771-adswizz.attribution.adswizz.com/fire?pixelId=e50a2e3d-86b6-44a9-9515-fd4582e4d0c6&type=sitevisit&subtype=HomePage&aw_0_req.gdpr=true&redirectURL=aHR0cHM6Ly9waXhlbC50YXBhZC5jb20vaWRzeW5jL2V4L3JlY2VpdmU_cGFydG5lcl9pZD0yOTk0JjwjaWYgcmVxdWVzdC5saXN0ZW5lcklkP21hdGNoZXMoJ1swLTlhLWZdezh9LVswLTlhLWZdezR9LVswLTlhLWZdezR9LVswLTlhLWZdezR9LVswLTlhLWZdezEyfScpPnBhcnRuZXJfdHlwZWRfZGlkPSU3QiUyMkhBUkRXQVJFX0FORFJPSURfQURfSUQlMjIlM0ElMjIke3JlcXVlc3QubGlzdGVuZXJJZH0lMjIlN0Q8I2Vsc2VpZiByZXF1ZXN0Lmxpc3RlbmVySWQ_bWF0Y2hlcygnWzAtOUEtRl17OH0tWzAtOUEtRl17NH0tWzAtOUEtRl17NH0tWzAtOUEtRl17NH0tWzAtOUEtRl17MTJ9Jyk-cGFydG5lcl90eXBlZF9kaWQ9JTdCJTIySEFSRFdBUkVfSURGQSUyMiUzQSUyMiR7cmVxdWVzdC5saXN0ZW5lcklkfSUyMiU3RDwjZWxzZT5wYXJ0bmVyX2RldmljZV9pZD0ke3JlcXVlc3QubGlzdGVuZXJJZCF9PC8jaWY-"/>
	</body>
</html> <!-- end page -->
