<?php
require_once(get_template_directory().'/init/functions/coast.php');
// Theme support options
require_once(get_template_directory().'/init/functions/theme-support.php'); 

// WP Head and other cleanup functions
require_once(get_template_directory().'/init/functions/cleanup.php'); 

// Register scripts and stylesheets
require_once(get_template_directory().'/init/functions/enqueue-scripts.php'); 

// Register custom menus and menu walkers
require_once(get_template_directory().'/init/functions/menu.php'); 

// Register sidebars/widget areas
require_once(get_template_directory().'/init/functions/sidebar.php'); 

// Makes WordPress comments suck less
require_once(get_template_directory().'/init/functions/comments.php'); 

// Replace 'older/newer' post links with numbered navigation
require_once(get_template_directory().'/init/functions/page-navi.php'); 

// Custom Functions
require_once(get_template_directory().'/init/functions/custom-functions.php'); 

// Adds support for multiple languages
require_once(get_template_directory().'/init/translation/translation.php'); 

// Add CSFramework Plugins Initiate File
require_once(get_template_directory().'/init/setup/initiate-theme-plugins.php');

// Remove 4.2 Emoji Support
require_once(get_template_directory().'/init/functions/disable-emoji.php'); 

// Adds site styles to the WordPress editor
//require_once(get_template_directory().'/init/functions/editor-styles.php'); 

// Related post function - no need to rely on plugins
// require_once(get_template_directory().'/init/functions/related-posts.php'); 

// Customize the WordPress login menu
require_once(get_template_directory().'/init/functions/login.php'); 

// Customize the WordPress admin
require_once(get_template_directory().'/init/functions/admin.php'); 

require_once(get_template_directory().'/init/functions/social-links.php'); 

// Dynamic population in Gravity Forms 
// add the page slug to a field so we can conditionally send
// admin notification using this value. If the slug = 'materials-handling'
// only send to x
function coast_custom_population_function( $value ) {
    global $wp;

// Since slugs itself can't contain slashes,
// let's explode on slashes and get just the last portion.
$request_args = explode('/', $wp->request);
$current_slug = end($request_args);
    return $current_slug;
}
add_filter( 'gform_field_value_get_page_slug', 'coast_custom_population_function' );