<?php 


/*=====================================================
=            INITIATE ACF CUSTOM COMPONENTS           =
======================================================*/


function csframework_initaite_acf_components() {

	/*
	 *
	 * The Module Default Files to include
	 *
	 */

	// Default Module Path

	$default_module_path = get_template_directory().'/init/components/_';

	// Setting Modules - add folder name, without the _ to install the modules files

	$modules = Array(
		'framework_options'
	);

	// Setting Default Files for all modules
	
	$module_files = Array(
		'post_type' => 'post-type.php',
		'config' => 'config.php',
		'functions' => 'module-functions.php',
	);


	/*===========================================================================
	=            Loop through Components Default Files & Include theme          =
	===========================================================================*/


	foreach ($modules as $folder) :
		foreach ($module_files as $file) :

			$temp_path = $default_module_path.$folder.'/'.$file;

			if(file_exists($temp_path)) :
				require_once($temp_path);
			endif;

		endforeach;
	endforeach;
	
	

	/*=============================================================
	=            Include Any Extra Custon Files below             =
	=============================================================*/
	
		
	// EXMAPLE: require_once($default_module_path.$modules['FOLDER_NAME'].'/{FILE_NAME};
	
}

/*----------  Run Function  ----------*/

add_action('after_setup_theme', 'csframework_initaite_acf_components');