<?php

function csframework_is_blog() {
	return is_singular('post') || is_home() || is_category() || (is_archive() && !is_post_type_archive());
}

//Add Spans to Menus
add_filter( 'walker_nav_menu_start_el', 'cs_framework_add_spans' );
function cs_framework_add_spans( $item ){
	return preg_replace( '~(<a[^>]*>)([^<]*)</a>~', '$1<span>$2</span></a>', $item);
}

/*====================================
=            Social Share            =
====================================*/

add_action('cs_framework_share', 'csf_share', 5);
function csf_share(){ ?>

    <div class="csf_custom_share_container">


        <a href="javascript:void(0)" onclick="

        javascript:genericSocialShare('http://www.facebook.com/sharer.php?u=<?php echo urlencode(get_permalink());?>')

        "><i class="fab fa-facebook-f" aria-hidden="true"></i></a>


        <a href="javascript:void(0)" onclick="

        javascript:genericSocialShare('https://twitter.com/intent/tweet?url=<?=urlencode(get_permalink());?>')

        "><i class="fab fa-twitter" aria-hidden="true"></i></a>



        <a href="javascript:void(0)" onclick="

        javascript:genericSocialShare('http://pinterest.com/pin/create/button/?url=<?php echo urlencode(get_permalink());?>&media=<?php echo urlencode(wp_get_attachment_url( get_post_thumbnail_id() ));?>')

        "><i class="fab fa-pinterest-p" aria-hidden="true"></i></a>



        <a href="javascript:void(0)" onclick="

        javascript:genericSocialShare('https://www.linkedin.com/shareArticle?mini=true&url=<?php echo urlencode(get_permalink());?>&title=<?php echo urlencode(get_the_title());?>&summary=<?php echo urlencode(wp_trim_words( get_the_content(), 25, '...' ));?>&source=<?php echo urlencode(get_bloginfo('name'));?>')

        "><i class="fab fa-linkedin" aria-hidden="true"></i></a>


        <script type="text/javascript">
            function genericSocialShare(url){
                window.open(url,'sharer','toolbar=0,status=0,width=648,height=395');
                return true;
            }
        </script>

    </div>
<?php }


add_filter( 'default_content', 'csframework_default_content' );

function csframework_default_content($content){
	global $post_type;
	if(current_user_can("administrator") && ($post_type == "page" || $post_type == "post")) {
		$content =  '<h1>Testing display of HTML elements</h1><h2>This is 2nd level heading</h2><p>This is a test paragraph.</p><h3>This is 3rd level heading</h3><p>This is a test paragraph.</p><h4>This is 4th level heading</h4><p>This is a test paragraph.</p><h5>This is 5th level heading</h5><p>This is a test paragraph.</p><h6>This is 6th level heading</h6><p>This is a test paragraph.</p><h2>Basic block level elements</h2><p>This is a normal paragraph (<code>p</code> element).To add some length to it, let us mention that this page wasprimarily written for testing the effect of <strong>user style sheets</strong>.You can use it for various other purposes as well, like just checking howyour browser displays various HTML elements by default.It can also be useful when testing conversions from HTMLformat to other formats, since some elements can go wrong then.</p> <p>This is another paragraph. I think it needs to be added thatthe set of elements tested is not exhaustive in any sense. I have selectedthose elements for which it can make sense to write user style sheet rules,in my opionion.</p><div>This is a <code>div</code> element. Authors may use such elements insteadof paragraph markup for various reasons. (End of <code>div</code>.)</div><blockquote><p>This is a block quotation containing a singleparagraph. Well, not quite, since this is not <em>really</em>quoted text, but I hope you understand the point. After all, thispage does not use HTML markup very normally anyway.</p></blockquote><p>The following contains address information about the author, in an <code>address</code>element.</p><address><a href="../personal.html" lang="fi" hreflang="en">Jukka Korpela</a>,<a href="mailto:jkorpela@cs.tut.fi">jkorpela@cs.tut.fi</a><br>Päivänsäteenkuja 4 A, Espoo, Finland</address><h2>Lists</h2><p>This is a paragraph before an <strong>unnumbered</strong> list (<code>ul</code>). Note thatthe spacing between a paragraph and a list before or after that is hardto tune in a user style sheet. You can\'t guess which paragraphs arelogically related to a list, e.g. as a "list header".</p><ul>  <li> One.  </li><li> Two.  </li><li> Three. Well, probably this list item should be longer. Note thatfor short items lists look better if they are compactly presented,       whereas for long items, it would be better to have more vertical spacing between items.  </li><li> Four. This is the last item in this list.       Let us terminate the list now without making any more fuss about it.</li></ul><p>The following is a <code>menu</code> list:</p><menu>  <li> One.  </li><li> Two.  </li><li> Three. Well, probably this list item should be longer so that it willprobably wrap to the next line in rendering.</li></menu><p>The following is a <code>dir</code> list:</p><dir>  <li> One.  </li><li> Two.  </li><li> Three. Well, probably this list item should be longer so that it willprobably wrap to the next line in rendering.</li></dir><p>This is a paragraph before a <strong>numbered</strong> list (<code>ol</code>). Note thatthe spacing between a paragraph and a list before or after that is hardto tune in a user style sheet. You can\'t guess which paragraphs arelogically related to a list, e.g. as a "list header".</p><ol>  <li> One.  </li><li> Two.  </li><li> Three. Well, probably this list item should be longer. Note that ifitems are short, lists look better if they are compactly presented,       whereas for long items, it would be better to have more vertical spacing between items.  </li><li> Four. This is the last item in this list.       Let us terminate the list now without making any more fuss about it.</li></ol><p>This is a paragraph before a <strong>definition</strong> list (<code>dl</code>).In principle, such a list should consist of <em>terms</em> and associated definitions.But many authors use <code>dl</code> elements for fancy "layout" things. Usually theeffect is not <em>too</em> bad, if you design user style sheet rules for <code>dl</code>which are suitablefor real definition lists.</p><dl>  <dt> recursion  </dt><dd> see recursion  </dd><dt> recursion, indirect  </dt><dd> see indirect recursion  </dd><dt> indirect recursion  </dt><dd> see recursion, indirect  </dd><dt> term  </dt><dd> a word or other expression taken into specific use in       a well-defined meaning, which is often defined rather rigorously, even       formally, and may differ quite a lot from an everyday meaning</dd></dl><h2>Text-level markup</h2><ul>  <li> <abbr title="Cascading Style Sheets">CSS</abbr> (an abbreviation; <code>abbr</code> markup used)  </li><li> <acronym title="radio detecting and ranging">radar</acronym> (an acronym; <code>acronym</code> markup used)  </li><li> <b>bolded</b> (<code>b</code> markup used - just bolding with unspecified       semantics)  </li><li> <big>big thing</big> (<code>big</code> markup used)  </li><li> <font size="6">large size</font> (<code>font size=6</code> markup used)  </li><li> <font face="Courier">Courier font</font> (<code>font face=Courier</code> markup used)  </li><li> <font color="red">red text</font> (<code>font color=red</code> markup used)  </li><li> <cite>Origin of Species</cite> (a book title;       <code>cite</code> markup used)  </li><li> <code>a[i] = b[i] + c[i);</code> (computer code; <code>code</code> markup used)  </li><li> here we have some <del>deleted</del> text (<code>del</code> markup used)  </li><li> an <dfn>octet</dfn> is an entity consisting of eight bits       (<code>dfn</code> markup used for the term being defined)  </li><li> this is <em>very</em> simple (<code>em</code> markup used for emphasizing       a word)  </li><li> <i lang="la">Homo sapiens</i> (should appear in italics;  <code>i</code> markup used)  </li><li> here we have some <ins>inserted</ins> text (<code>ins</code> markup used)  </li><li> type <kbd>yes</kbd> when prompted for an answer (<code>kbd</code> markup       used for text indicating keyboard input)  </li><li> <q>Hello!</q> (<code>q</code> markup used for quotation)  </li><li> He said: <q>She said <q>Hello!</q></q> (a quotation inside a quotation)  </li><li> you may get the message <samp>Core dumped</samp> at times       (<code>samp</code> markup used for sample output)  </li><li> <small>this is not that important</small> (<code>small</code> markup used)  </li><li> <strike>overstruck</strike> (<code>strike</code> markup used; note:       <code>s</code> is a nonstandard synonym for <code>strike</code>)  </li><li> <strong>this is highlighted text</strong> (<code>strong</code>       markup used)  </li><li> In order to test how subscripts and superscripts (<code>sub</code> and       <code>sup</code> markup) work inside running text, we need some       dummy text around constructs like x<sub>1</sub> and H<sub>2</sub>O       (where subscripts occur). So here is some fill so that       you will (hopefully) see whether and how badly the subscripts       and superscripts mess up vertical spacing between lines.       Now superscripts: M<sup>lle</sup>, 1<sup>st</sup>, and then some       mathematical notations: e<sup>x</sup>, sin<sup>2</sup> <i>x</i>,       and some nested superscripts (exponents) too:       e<sup>x<sup>2</sup></sup> and f(x)<sup>g(x)<sup>a+b+c</sup></sup>       (where 2 and a+b+c should appear as exponents of exponents).  </li><li> <tt>text in monospace font</tt> (<code>tt</code> markup used)  </li><li> <u>underlined</u> text (<code>u</code> markup used)  </li><li> the command <code>cat</code> <var>filename</var> displays the       file specified by the <var>filename</var> (<code>var</code> markup       used to indicate a word as a variable).</li></ul><p>Some of the elements tested above are typically displayed in a monospacefont, often using the <em>same</em> presentation for all of them. Thistests whether that is the case on your browser:</p><ul>  <li> <code>This is sample text inside code markup</code>  </li><li> <kbd>This is sample text inside kbd markup</kbd>  </li><li> <samp>This is sample text inside samp markup</samp>  </li><li> <tt>This is sample text inside tt markup</tt></li></ul><h2>Links</h2><ul><li> <a href="../index.html">main page</a></li><li> <a href="http://www.unicode.org/versions/Unicode4.0.0/ch06.pdf" title="Writing Systems and Punctuation" type="application/pdf">Unicode Standard, chapter&nbsp;6</a></li></ul><p>This is a text paragraph that contains someinline links. Generally, inline links (as opposite to e.g. linkslists) are problematicfrom the<a href="http://www.useit.com">usability</a> perspective,but they may have use as“incidental”, less relevant links. See the document<cite><a href="links.html">Links Want To Be Links</a></cite>.</p><h2>Forms</h2><form action="http://www.cs.tut.fi/cgi-bin/run/~jkorpela/echo.cgi"><div><input type="hidden" name="hidden field" value="42">This is a form containing various fields (with some initialvalues (defaults) set, so that you can see how input text lookslike without actually typing it):</div><div><label for="but">Button:<button id="but" type="submit" name="foo" value="bar">A cool<br>button</button></label></div><div><label for="f0">Reset button:<input id="f0" type="reset" name="reset" value="Reset"></label></div><div><label for="f1">Single-line text input field: <input id="f1" name="text" size="20" value="Default text."></label></div><div><label for="f2">Multi-line text input field (textarea):</label><br><textarea id="f2" name="textarea" rows="2" cols="20">Default text.</textarea></div><div>The following two radio buttons are insidea <code>fieldset</code> element with a <code>legend</code>:</div><fieldset><legend>Legend</legend><div><label for="f3"><input id="f3" type="radio" name="radio" value="1"> Radio button 1</label></div><div><label for="f4"><input id="f4" type="radio" name="radio" value="2" checked=""> Radio button 2 (initially checked)</label></div></fieldset><fieldset><legend>Check those that apply</legend><div><label for="f5"><input id="f5" type="checkbox" name="checkbox"> Checkbox 1</label></div><div><label for="f6"><input id="f6" type="checkbox" name="checkbox2" checked=""> Checkbox 2 (initially checked)</label></div></fieldset><div><label for="f10">A <code>select</code> element with <code>size="1"</code>(dropdown box):<select id="f10" name="select1" size="1"><option>one</option><option selected="">two (default)</option><option>three</option></select></label></div><div><label for="f11">A <code>select</code> element with <code>size="3"</code>(listbox):</label><br><select id="f11" name="select2" size="3"><option>one</option><option selected="">two (default)</option><option>three</option></select></div><div><label for="f99">Submit button:<input id="f99" type="submit" name="submit" value="Just a test"></label></div></form><h2>Tables</h2><p>The following table has a caption. The first row and the first columncontain table header cells (<code>th</code> elements) only; other cellsare data cells (<code>td</code> elements), with <code>align="right"</code>attributes:</p><table summary="Each row names a Nordic country and specifies its total area and land area, in square kilometers"><caption>Sample table: Areas of the Nordic countries, in sq km</caption><tbody><tr><th scope="col">Country</th> <th scope="col">Total area</th> <th scope="col">Land area</th></tr><tr><th scope="row">Denmark</th> <td align="RIGHT"> 43,070 </td><td align="RIGHT"> 42,370</td></tr><tr><th scope="row">Finland</th> <td align="RIGHT">337,030 </td><td align="RIGHT">305,470</td></tr><tr><th scope="row">Iceland</th> <td align="RIGHT">103,000 </td><td align="RIGHT">100,250</td></tr><tr><th scope="row">Norway</th>  <td align="RIGHT">324,220 </td><td align="RIGHT">307,860</td></tr><tr><th scope="row">Sweden</th>  <td align="RIGHT">449,964 </td><td align="RIGHT">410,928</td></tr></tbody></table><h2>Character test</h2><p>The following table has some sample characters withannotations. If the browser’s default font does notcontain all of them, they may get displayed using backup fonts.This may cause stylistic differences, but it should notprevent the characters from being displayed at all.</p><table><tbody><tr><th>Char. </th><th>Explanation </th><th>Notes</th></tr><tr><td>ê </td><td>e with circumflex </td><td>Latin 1 character, should be ok</td></tr><tr><td>— </td><td>em dash </td><td>Windows Latin 1 character, should be ok, too</td></tr><tr><td>Ā </td><td>A with macron (line above) </td><td>Latin Extended-A character, not present in all fonts</td></tr><tr><td>Ω </td><td>capital omega </td><td>A Greek letter</td></tr><tr><td>− </td><td>minus sign </td><td>Unicode minus</td></tr><tr><td>⌀ </td><td>diameter sign </td><td>relatively rare in fonts</td></tr></tbody></table><h2>Hyphenation</h2><p>In the following, a width setting should cause some hyphenation,depending on support to various methods of hyphenation.</p><h3>CSS-based hyphenation</h3><p class="limited hyphens">Until recently the great majority of naturalists believed that species were immutable productions, and had been separately created. This view has been ably maintained by many authors.</p><h3>JavaScript-driven hyphenation</h3><p class="limited hyphenate">Until re&shy;cently the great ma&shy;jor&shy;ity of nat&shy;u&shy;ral&shy;ists be&shy;lieved that species were im&shy;mutable pro&shy;duc&shy;tions, and had been sep&shy;a&shy;rately cre&shy;ated. This view has been ably main&shy;tained by many au&shy;thors.</p><h3>Explicit hyphenation hints (soft hyphens)</h3><p class="limited">Un&shy;til re&shy;cent&shy;ly the great ma&shy;jor&shy;i&shy;ty of nat&shy;u&shy;ral&shy;istsbe&shy;lieved that spe&shy;cies were im&shy;mu&shy;ta&shy;ble pro&shy;duc&shy;tions, and had been sep&shy;a&shy;rate&shy;ly cre&shy;at&shy;ed.This view has been ably main&shy;tain&shy;ed by many au&shy;thors.</p><hr title="Information about this document"><address><a href="../personal.html" hreflang="en" lang="fi">Jukka Korpela</a></address><div></div>';
	}
	return $content;
}

function csframework_unique_id($prefix = '') {
	static $id_counter = 0;
	if (function_exists('wp_unique_id')) {
		return wp_unique_id($prefix);
	}

	return $prefix . (string) ++$id_counter;
}

add_filter( 'http_request_host_is_external', 'allow_my_custom_host', 10, 3 );
function allow_my_custom_host($allow, $host, $url) {
	if ( $host == 'dev.coaststudios.com.au' )
		$allow = true;
	return $allow;
}

/*================================================
=            DEV: Browser Syn Include            =
================================================*/

function browserSync() {
    $whitelist = array(
    'http://dev.coaststudios.com.au/'
);
if(in_array($_SERVER['REMOTE_ADDR'], $whitelist)){
    ?>
<script id="__bs_script__">//<![CDATA[
    document.write("<script async src='http://HOST:3000/browser-sync/browser-sync-client.js?v=2.18.6'><\/script>".replace("HOST", location.hostname));
//]]></script>
<?php } }

add_action('wp_footer', 'browserSync', 10, 2);

function csframework_acf_init() {
	$api_key = get_field("google_map_api_key", "options");
	acf_update_setting('google_api_key', $api_key);
}

add_action('acf/init', 'csframework_acf_init');

function csframework_load_stock_category_field($field) {
    $field['choices'] = array();

    $args = array(
        'number' => 0
    );

    $terms = \coast\Models\VehicleCategory::query($args);

    foreach($terms as $term) {
         $field['choices'][$term->term_id] = $term->name;
    }

    return $field;
}

add_filter('acf/load_field/key=field_5ec712079c554', 'csframework_load_stock_category_field');

add_filter( 'gform_phone_formats', 'au_phone_format' );
function au_phone_format( $phone_formats ) {
    $phone_formats['au'] = array(
        'label'       => 'Australia',
        'mask'        => false,
        'regex'       => '/^\({0,1}((0|\+61)(2|4|3|7|8)){0,1}\){0,1}(\ |-){0,1}[0-9]{2}(\ |-){0,1}[0-9]{2}(\ |-){0,1}[0-9]{1}(\ |-){0,1}[0-9]{3}$/',
        'instruction' => 'Australian phone numbers.',
    );

    return $phone_formats;
}
