<?php

/*============================================
=            Enqueue Site Scripts            =
============================================*/

function enqueue_site_scripts() {

	//This is overriden automatically with the last modified timestamp of the file.
	$version = "1.0.20";

	/*----------  Call global $wp_styles variable to add conditional wrapper around ie stylesheet the WordPress way  ----------*/
	global $wp_styles;


	/*---------- Adding Google Maps if Required -----------*/
	if (!empty($api_key = 'AIzaSyDhM7ouhvf2eBH7eiGM_V0leXOHCUeG1sc') && get_field("enable_gmaps", "options")) {
		//wp_enqueue_script("google-maps", "https://maps.googleapis.com/maps/api/js?key=AIzaSyD5E1KHCV99zemmVcYbFxjw6muMtBvfnLg", array('site-js'), $version, true);
	}
// 	if (!empty($api_key = 'AIzaSyD5E1KHCV99zemmVcYbFxjw6muMtBvfnLg') && get_field("enable_gmaps", "options")) {
// 		//wp_enqueue_script("google-maps", "https://maps.googleapis.com/maps/api/js?key=AIzaSyD5E1KHCV99zemmVcYbFxjw6muMtBvfnLg", array('site-js'), $version, true);
// 	}

	/*----------  Adding scripts file in the footer  ----------*/
	wp_enqueue_script( 'site-js', get_template_directory_uri() . '/assets/dist/scripts/bundle.min.js', array( 'jquery' ), $version, true );
	$script_params = array(
		'ajax_url'		=> admin_url( 'admin-ajax.php' ),
		'current_user'	=> intval(get_current_user_id())
	);
	wp_localize_script( 'site-js', 'csFramework', $script_params);

	/*----------  Register main stylesheet  ----------*/
	wp_enqueue_style( 'framework-theme-style', get_template_directory_uri() . '/assets/dist/styles/main.min.css', array(), $version, 'all' );

	/*----------  Register RAW CSS stylesheet - FOR HORRIBLE QUICK OVERWRITES WITHOUT SASS / GULP :'(   ----------*/
	wp_enqueue_style( 'raw-css-file', get_template_directory_uri() . '/style.css', array(), $version, 'all' );

	/*----------  Comment reply script for threaded comments  ----------*/
	if ( is_singular() AND comments_open() AND (get_option('thread_comments') == 1)) {
		wp_enqueue_script( 'comment-reply' );
	}

	//Typescript Enque
	wp_enqueue_style('typekit', "https://use.typekit.net/fmr5dat.css", array(), $version);


	//GOTHAM DEV FONT ONLY
	//wp_enqueue_style('gotham', 'https://cdn.rawgit.com/mfd/f3d96ec7f0e8f034cc22ea73b3797b59/raw/856f1dbb8d807aabceb80b6d4f94b464df461b3e/gotham.css');

}

add_action('wp_enqueue_scripts', 'enqueue_site_scripts', 999);

$um_priority = apply_filters( 'um_core_enqueue_priority', 100 );
//add_action( 'wp_enqueue_scripts',  'gbfl_dequeue_um_scripts', $um_priority + 1);
function gbfl_dequeue_um_scripts() {
	/*
	 *	Fonticons
	 *		um_fonticons_ii
	 *		um_fonticons_fa
	 *
	 *	Select2
	 *		select2
	 *
	 *	Modal
	 *		um_modal
	 *
	 *	Plugin CSS
	 *		um_styles
	 *		um_members
	 *		um_profile
	 *		um_account
	 *		um_misc
	 *
	 *	File Upload
	 *		um_fileupload
	 *
	 *	Datetime Picker
	 *		um_datetime
	 *		um_datetime_date
	 *		um_datetime_time
	 *
	 *	Raty
	 *		um_raty
	 *
	 *	Scrollbar
	 *		um_scrollbar
	 *
	 *	Image Crop
	 *		um_crop
	 *
	 *	Tipsy
	 *		um_tipsy
	 *
	 *	Responsive
	 *		um_responsive
	 *
	 *	RTL
	 *		um_rtl
	 *
	 *	Default CSS
	 *		um_default_css
	 *
	 *	Old CSS
	 *		um_old_css
	 */
	wp_dequeue_style('um_default_css');
	wp_dequeue_style('um_responsive');
	wp_dequeue_style('um_styles');
	wp_dequeue_style('um_profile');
	wp_dequeue_style('um_account');
	wp_dequeue_style('um_members');
	wp_dequeue_style('um_misc');
	wp_dequeue_style('um_old_default_css');
	wp_dequeue_style('um_old_css');
}


/*=====  End of Enqueue Site Scripts  ======*/



/*==========================================
=            Enqueue Site Fonts            =
==========================================*/

add_action( 'wp_head', 'csframework_typekit_inline' );
/**
 * Check to make sure the main script has been enqueued and then load the typekit
 * inline script.
 *
 */
function csframework_typekit_inline() {
	if ( wp_script_is( 'typekit', 'enqueued' ) ) {
		echo '<script type="text/javascript">try{Typekit.load();}catch(e){}</script>';
	}
}


function enqueue_site_fonts() {

  /*----------  External Custom Fonts  ----------*/
  wp_enqueue_style('google_font_one', 'https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600&display=swap');

}
add_action('wp_enqueue_scripts', 'enqueue_site_fonts');


/*=====  End of Enqueue Site Fonts  ======*/
