<?php
// SIDEBARS AND WIDGETIZED AREAS
function csframework_register_sidebars() {

	register_sidebar(array(
		'id' => 'sidebar1',
		'name' => __('Default Sidebar', 'csframeworkwp'),
		'description' => __('The first (primary) sidebar.', 'csframeworkwp'),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="widgettitle">',
		'after_title' => '</h4>',
	));

	register_sidebar(array(
		'id' => 'offcanvas',
		'name' => __('Offcanvas', 'csframeworkwp'),
		'description' => __('The offcanvas sidebar.', 'csframeworkwp'),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="widgettitle">',
		'after_title' => '</h4>',
	));

	// Add blog sidebar widget

	if ( function_exists('register_sidebar') )
	  register_sidebar(array(
	    'id' => 'blog-sidebar',
	    'name' => 'Blog Sidebar',
	    'before_widget' => '<div class = "blog_sidebar_widget">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3>',
	    'after_title' => '</h3>',
	  )
	);

	// Add Footer Sidebar 

	register_sidebar( array(
		'name' => 'Footer Menu',
		'id' => 'footer-menu-1',
		'description' => 'Appears in the footer area',
		'before_widget' => '<aside id="%1$s" class="widget cell medium-4 %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	/*
	to add more sidebars or widgetized areas, just copy
	and edit the above sidebar code. In order to call
	your new sidebar just use the following code:

	Just change the name to whatever your new
	sidebar's id is, for example:

	register_sidebar(array(
		'id' => 'sidebar2',
		'name' => __('Sidebar 2', 'csframeworkwp'),
		'description' => __('The second (secondary) sidebar.', 'csframeworkwp'),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="widgettitle">',
		'after_title' => '</h4>',
	));

	To call the sidebar in your template, you can just copy
	the sidebar.php file and rename it to your sidebar's name.
	So using the above example, it would be:
	sidebar-sidebar2.php

	*/
} // don't remove this bracket!