<?php
/*
Template Name: Contact Template (SOC) Page
*
*/

?>
<?php get_header(); ?>

<div class="default_template location_template">
	<div id="content">
		<div id="inner-content" class="grid-container">
			<main id="main" role="main">
				<div class="grid-x grid-margin-x grid-margin-y">
					<div class="cell medium-4">
						<ul class="menu contact">
							<h3>Coffs Harbour</h3>
							<?php if(!empty($phone = get_field("phone", 99))): ?>
								<li><a href="tel:<?= \coast\Utils::get_raw_phone_number($phone) ?>"><i class="fas fa-phone" aria-hidden="true"></i> <?= \coast\Utils::format_phone_number($phone) ?></a></li>
							<?php endif; ?>
							<?php if(!empty($email = get_field("email", 99))): ?>
								<li><a href="mailto:<?= $email?>" target="_blank"><i class="fas fa-envelope" aria-hidden="true"></i> <?= $email ?></a></li>
							<?php endif; ?>
							<?php if(!empty($addr = \coast\Utils::get_address(99))): ?>
								<li><a href="<?= \coast\Utils::get_direction_url($addr) ?>" target="_blank" rel="noopener nofollow noreferrer" aria-label="Open directions to MidCoast Trucks in Google Maps"><i class="fas fa-map-marker-alt" aria-hidden="true"></i> <?= $addr ?></a></li>
							<?php endif; ?>
							<?php if(!empty($hours = get_field("hours", 99))): ?>
								<li><a href="<?= get_permalink(99) ?>"><i class="fas fa-clock" aria-hidden="true"></i> <?= $hours?></a></li>
							<?php endif; ?>

							<h3>Macksville</h3>
							<?php if(!empty($phone = get_field("phone", "options"))): ?>
								<li><a href="tel:<?= \coast\Utils::get_raw_phone_number($phone) ?>"><i class="fas fa-phone" aria-hidden="true"></i> <?= \coast\Utils::format_phone_number($phone) ?></a></li>
							<?php endif; ?>
							<?php if(!empty($email = get_field("email", "options"))): ?>
								<li><a href="mailto:<?= $email?>" target="_blank"><i class="fas fa-envelope" aria-hidden="true"></i> <?= $email ?></a></li>
							<?php endif; ?>
							<?php if(!empty($addr = \coast\Utils::get_address("options"))): ?>
								<li><a href="<?= \coast\Utils::get_direction_url($addr) ?>" target="_blank" rel="noopener nofollow noreferrer" aria-label="Open directions to MidCoast Trucks in Google Maps"><i class="fas fa-map-marker-alt" aria-hidden="true"></i> <?= $addr ?></a></li>
							<?php endif; ?>
							<?php if(!empty($hours = get_field("hours", 97))): ?>
								<li><a href="<?= get_permalink(97) ?>"><i class="fas fa-clock" aria-hidden="true"></i> <?= $hours?></a></li>
							<?php endif; ?>

							<h3>Port Macquarie</h3>
							<?php if(!empty($phone = get_field("phone", 505))): ?>
								<li><a href="tel:<?= \coast\Utils::get_raw_phone_number($phone) ?>"><i class="fas fa-phone" aria-hidden="true"></i> <?= \coast\Utils::format_phone_number($phone) ?></a></li>
							<?php endif; ?>
							<?php if(!empty($email = get_field("email", 505))): ?>
								<li><a href="mailto:<?= $email?>" target="_blank"><i class="fas fa-envelope" aria-hidden="true"></i> <?= $email ?></a></li>
							<?php endif; ?>
							<?php if(!empty($addr = \coast\Utils::get_address(505))): ?>
								<li><a href="<?= \coast\Utils::get_direction_url($addr) ?>" target="_blank" rel="noopener nofollow noreferrer" aria-label="Open directions to MidCoast Trucks in Google Maps"><i class="fas fa-map-marker-alt" aria-hidden="true"></i> <?= $addr ?></a></li>
							<?php endif; ?>
							<?php if(!empty($hours = get_field("hours", 505))): ?>
								<li><a href="<?= get_permalink(505) ?>"><i class="fas fa-clock" aria-hidden="true"></i> <?= $hours?></a></li>
							<?php endif; ?>

							<h3>Socials</h3>
							<?php if(!empty($fb = get_field("facebook", "options"))): ?>
								<li><a href="<?= $fb ?>" target="_blank" rel="noopener nofollow noreferrer" aria-label="Open MidCoast Trucks in Facebook"><i class="fab fa-facebook-f" aria-hidden="true"></i> Facebook</a></li>
							<?php endif; ?>
							<?php if(!empty($insta = get_field("instagram", "options"))): ?>
								<li><a href="<?= $insta ?>" target="_blank" rel="noopener nofollow noreferrer" aria-label="Open MidCoast Trucks in Instagram"><i class="fab fa-instagram" aria-hidden="true"></i> Instagram</a></li>
							<?php endif; ?>
						</ul>
					</div>

					<div class="cell medium-8">
						<?php the_content(); ?>
					</div>
				</div>
			</main>
		</div>
	</div>
</div>

<?php get_footer(); ?>
