<?php
/*
Template Name: Home Page Template
*
*/
?>

<?php get_header(); ?>

<div class="home_template">

	<section id="section_one" class="grid-container">
		<div class="grid-x grid-margin-x grid-margin-y align-middle">

			<div class="cell medium-12 large-3 medium-order-3" id="section_one-intro-cell">
				<?php if(!empty($title = get_field("section_one_title"))): ?>
					<h2><?= $title; ?></h2>
				<?php endif; ?>

				<?php if(!empty($content = get_field("section_one_content"))): ?>
					<p><?= $content; ?></p>
				<?php endif; ?>

				<?php if(have_rows("section_one_buttons")): ?>
					<div class="button-wrapper">
						<?php while(have_rows("section_one_buttons")): the_row(); ?>
							<a href="<?php the_sub_field("linke"); ?>" class="button secondary <?= get_row_index() == 1 ? 'hollow' : 'shadow' ?>"><?php the_sub_field("title"); ?> <?php if(get_row_index() > 1): ?><i class="fal fa-angle-right m-l-1" aria-hidden="true"></i><?php endif; ?></a>
						<?php endwhile; ?>
					</div>
				<?php endif; ?>
			</div>
			
			<!-- Insert Holiday Tile -->
			<div class="cell medium-12 large-3">
				<div class="tile tile__cta">
					<img src="<?= wp_get_attachment_image_url(2066, 'full') ?>">
					<h3>Shop Used Trucks</h3>
					<p>Search our huge range of quality used trucks</p>
					<a href="https://stock.midcoasttrucks.com.au/stock/used" class="button primary">Find Your Truck</a>
				</div>
			</div>
			<!-- Insert Holiday tile end -->

			<?php while(have_rows("tiles")): the_row(); ?>
				<div class="cell medium-6 large-3">
					<?php
						$tile = new \coast\Tile(get_sub_field("title"), get_sub_field("excerpt"), get_sub_field("button_url"), get_sub_field("button_title"), get_sub_field("icon"));
						$tile->generate();
					?>
				</div>
			<?php endwhile; ?>

			<div class="cell medium-12 large-3">
				<div class="tile tile__cta">
					<img src="<?= wp_get_attachment_image_url(1155, 'large') ?>">
					<h3>Shop Transport</h3>
					<p>Vehicle Transport / General Freight</p>
					<a href="<?php the_permalink(1104) ?>" class="button secondary hollow">Find out More</a>
				</div>
			</div>
		</div>
	</section>

	<?php
		$args = array();

		if(!empty($filtered = get_field("section_two_categories"))) {
			$args['include'] = $filtered;
			$args['orderby'] = 'include';
			$args['number'] = 0;
		}

		$terms = \coast\Models\VehicleCategory::query($args, true); ?>
	<?php if(!empty($terms)): ?>
		<section id="section_two">
			<div class="header__wrapper">
				<header class="grid-container border-l">
					<?php if(!empty($title = get_field("section_two_title"))): ?>
						<h2><?= $title; ?></h2>
					<?php endif; ?>

					<div class="section_two__slider-arrows">
						<button class="slick-arrow slick-prev" aria-label="Previous Item"><i class="fal fa-chevron-left" aria-hidden="true"></i></button>
						<button class="slick-arrow slick-next" aria-label="Next Item"><i class="fal fa-chevron-right" aria-hidden="true"></i></button>
					</div>
				</header>
			</div>

			<div class="section_two__slider">
				<?php
					if(!empty($title = get_field("section_two_default_tile_title"))){
						$image = \coast\ImageUtils::get_dominant_image(get_field("section_two_default_tile_image"));
						$tile = new \coast\Tile(get_field("section_two_default_tile_title"), false, get_field("section_two_default_tile_url"), "Find Your Truck", $image);
						$tile->generate("stock_category");
					}
				?>
				<?php foreach($terms as $term): ?>
					<?php
						$tile = new \coast\Tile($term->name, $term->description, $term->permalink, "Find Your Truck", $term->thumbnail);
						$tile->generate("stock_category");
					?>
				<?php endforeach; ?>
			</div>
		</section>
	<?php endif; ?>

	<?php if(!empty($content = get_field("section_three_content"))): ?>
		<section id="section_three" class="grid-container">
			<?php if(!empty($title = get_field("section_three_title"))): ?>
				<header class="border-l">
					<h2><?= $title ?></h2>
				</header>
			<?php endif; ?>

			<div class="section__content"><?= $content; ?></div>

			<?php if(!empty($link = get_field("section_three_link"))): ?>
				<footer class="text-right">
					<a href="<?= $link ?>" class="button hollow secondary">Read More</a>
				</footer>
			<?php endif; ?>
		</section>
	<?php endif; ?>

</div>

<?php get_footer(); ?>
