<?php
/*
Template Name: Parts/Service Template Page
*
*/

?>
<?php get_header(); ?>

<div class="default_template location_template">
	<div id="content">
		<div id="inner-content" class="grid-container">
			<main id="main" role="main">
				<div class="grid-x grid-margin-x grid-margin-y">
					<div class="cell medium-4">
						<ul class="menu contact">
							<?php if(!empty($phone = get_field('phone', 99))): ?>
								<li><a href="tel:<?= \coast\Utils::get_raw_phone_number($phone) ?>"><i class="fas fa-phone" aria-hidden="true"></i> <?= \coast\Utils::format_phone_number($phone) ?></a></li>
							<?php endif; ?>
							<?php if(!empty($email = get_field("email", 99))): ?>
								<li><a href="mailto:<?= $email?>" target="_blank"><i class="fas fa-envelope" aria-hidden="true"></i> <?= $email ?></a></li>
							<?php endif; ?>
							<?php if(!empty($addr = \coast\Utils::get_address(99))): ?>
								<li><a href="<?= \coast\Utils::get_direction_url($addr) ?>" target="_blank" rel="noopener nofollow noreferrer" aria-label="Open directions to MidCoast Trucks in Google Maps"><i class="fas fa-map-marker-alt" aria-hidden="true"></i> <?= $addr ?></a></li>
							<?php endif; ?>
						</ul>
					</div>

					<div class="cell medium-8">
						<?php the_content(); ?>
					</div>
				</div>
			</main>
		</div>
	</div>
</div>

<?php get_footer(); ?>
