<?php
/*
Template Name: Team Template Page
*
*/
?>
<?php get_header(); ?>

<div class="default_template">
	<div id="content">
		<div id="inner-content" class="grid-container">
			<main id="main" role="main">
				<div class="content">
					<?php the_content(); ?>
				</div>

				<?php
					$locs = array("Head Office", "Coffs Harbour Sales & Service Centre", "Port Macquarie Sales and Service Centre", "Macksville Service Centre", "Midcoast Truck Bodies", "Detailing, Panel & Paint" );

					foreach($locs as $indx => $loc):
				?>
				<section class="team__location">
					<h2><?=$loc?></h2>
					<div class="grid-x grid-margin-y grid-margin-x">
						<?php
							$args = array(
								'post_type' => 'team',
								'posts_per_page' => -1,
								'meta_query'=> array(
									'relation'		=> 'AND',
									'order_clause'	=> array(
															'key'		=> 'order',
															'compare'	=> 'EXISTS',
															'type'		=> 'numeric'
														),
									'last_clause'	=> array(
															'key'		=> 'last_name',
															'compare'	=> 'EXISTS'
														),
									'first_clause'	=> array(
															'key'		=> 'first_name',
															'compare'	=> 'EXISTS'
														),
									'loc_clause'	=> array(
															'key'		=> 'location',
															'compare'	=> '=',
															'value'		=> $indx
														),
								),
								'orderby'	=> array(
										'order_clause' 	=> 'DESC',
										'last_clause'	=> 'ASC',
										'first_clause'	=> 'ASC',
								)
							);

							$query = new WP_Query($args);

							$address = Spatie\SchemaOrg\Schema::postalAddress()
							->addressCountry(get_field("address_country", "options"))
							->addressRegion(get_field("address_state", "options"))
							->addressLocality(get_field("address_suburb", "options"))
							->postalCode(get_field("address_postcode", "options"))
							->streetAddress(\coast\Utils::get_address("options", true, true, false, false, false));

							while($query->have_posts()): $query->the_post();
						?>
							<div class="cell medium-3">
								<?php get_template_part("parts/tile", "team"); ?>
							</div>

							<?php
								$person = Spatie\SchemaOrg\Schema::person()
								->id(get_the_permalink())
								->name(get_the_title())
								->memberOf(get_site_url().'#organisation')
								->worksFor(get_site_url().'#organisation')
								->address($address);

								if(!empty($role = get_field("role"))) {
									$person->jobTitle($role);
								}

								if(!empty($phone = get_field("phone"))) {
									$person->telephone(\coast\Utils::get_raw_phone_number($phone));
								}

								if(has_post_thumbnail()) {
									$person->image(wp_get_attachment_image_url(get_post_thumbnail_id(), 'large'));
								}

								echo $person->toScript();
							?>

						<?php endwhile; ?>
					</div>
				</section>
				<?php endforeach; ?>
			</main>
		</div>
	</div>
</div>

<?php get_footer(); ?>
