<?php
/**
 * The searchform.php template.
 *
 * Used any time that get_search_form() is called.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */

/*
 * Generate a unique ID for each form and a string containing an aria-label if
 * one was passed to get_search_form() in the args array.
 */
$unique_id = csframework_unique_id( 'search-form-' );
$aria_label = ! empty( $args['label'] ) ? 'aria-label="' . esc_attr( $args['label'] ) . '"' : '';
?>
<form role="search" <?php echo $aria_label; ?> method="get" class="search-form" action="<?= get_home_url(CSFRAMEWORK_STOCK_SITE) ?>/stock/">
	<label for="<?php echo esc_attr( $unique_id ); ?>" class="show-for-sr"><span class="screen-reader-text"><?php _e( 'Search for:', 'twentytwenty' ); ?></span></label>
	<input type="search" id="<?php echo esc_attr( $unique_id ); ?>" class="search-field" placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'twentytwenty' ); ?>" name="filter_query" />
	<button type="submit" class="search-submit button primary" aria-label="Submit"><i class="far fa-search" aria-hidden="true"></i></button>
</form>
