<?php
	$auth = SwpmAuth::get_instance();

	$saved = \coast\Favourite::query();

	$saved = array_map(function($item){
		return $item->stock_id;
	}, $saved);



	$args = array(
			"post_type" => "vehicle",
			"posts_per_page" => 6,
			"post__in" => empty($saved) ? array(0) : $saved
	);

	$query = new WP_Query($args);
?>

<div id="content">
		<div id="inner-content">

			<main id="main" role="main">
				<?php if($query->have_posts()): ?>
					<header>
						<h2><strong><?= $query->found_posts; ?></strong> Saved Vehicles</h2>
						<div class="divider" aria-hidden="true"></div>
					</header>
				<?php endif; ?>

				<div class="grid-x grid-margin-x">
					<div class="cell medium-3">
						<div class="filter__form">
							<div class="filter__form-body">
								<h3>Hello <?= \coast\Member::get_first_name() ?>,</h3>
								<p>Vestibulum id ligula porta felis euismod semper. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>
								<a href="<?= \coast\Member::profile_url() ?>" class="button primary block">Edit Profile</a>
								<a href="<?= \coast\Member::logout() ?>" class="button secondary hollow block">Logout</a>
							</div>
						</div>
					</div>

					<div class="cell medium-9">
						<?php if ($query->have_posts()): ?>
							<div class="grid-x grid-margin-x grid-margin-y">
								<?php while ($query->have_posts()): $query->the_post(); ?>
									<div class="medium-6 cell">
										<?php get_template_part( 'parts/tile', 'vehicle' ); ?>
									</div>
								<?php endwhile; ?>
							</div>
							<?php csframework_page_navi(); ?>
						<?php else: ?>
							<div class="va__empty">
								<p>No saved vehicles found</p>
							</div>
						<?php endif; ?>
					</div>
				</div>
			</main>
		</div>
	</div>
