<?php
$auth = SwpmAuth::get_instance();
$setting = SwpmSettings::get_instance();
$password_reset_url = $setting->get_value('reset-page-url');
$join_url = $setting->get_value('join-us-page-url');
?>
<div class="swpm-login-widget-form">
    <div class="grid-x grid-margin-x">
        <div class="cell medium-6">
            <form id="swpm-login-form" name="swpm-login-form" method="post" action="">
                <h2>Login</h2>
                <div class="swpm-login-form-inner">
                    <div class="swpm-username-label show-for-sr">
                        <label for="swpm_user_name" class="swpm-label"><?php echo SwpmUtils::_('Username or Email') ?></label>
                    </div>
                    <div class="swpm-username-input">
                        <input type="text" class="swpm-text-field swpm-username-field" id="swpm_user_name" value="" size="25" name="swpm_user_name" placeholder="Username or Email"/>
                    </div>
                    <div class="swpm-password-label show-for-sr">
                        <label for="swpm_password" class="swpm-label"><?php echo SwpmUtils::_('Password') ?></label>
                    </div>
                    <div class="swpm-password-input">
                        <input type="password" class="swpm-text-field swpm-password-field" id="swpm_password" value="" size="25" name="swpm_password" placeholder="Password"/>
                    </div>
                    <div class="swpm-remember-me checkbox-wrapper">
                        <input type="checkbox" name="rememberme" value="checked='checked'" id="rememberme">
                        <label class="swpm-rember-label" for="rememberme"><?php echo SwpmUtils::_('Remember Me') ?></label>
                    </div>

                    <div class="swpm-before-login-submit-section"><?php echo apply_filters('swpm_before_login_form_submit_button', ''); ?></div>

                    <div class="swpm-login-submit">
                        <input type="submit" class="swpm-login-form-submit" name="swpm-login" value="<?php echo SwpmUtils::_('Login') ?>"/>
                    </div>
                    <small id="forgot_pass"><a class="swpm-login-form-pw-reset-link"  href="<?php echo $password_reset_url; ?>"><?php echo SwpmUtils::_('Forgot Password?') ?></a></small>
                    <div class="swpm-login-action-msg">
                        <span class="swpm-login-widget-action-msg"><?php echo $auth->get_message(); ?></span>
                    </div>
                </div>
            </form>
        </div>

        <div class="cell medium-6">
            <h2>Create an Account</h2>
            <?php if(!empty($content = get_field("login_content", "options"))): ?>
                <?= $content; ?>
            <?php endif; ?>
            <a id="register" class="swpm-login-form-register-link button secondary shadow" href="<?php echo $join_url; ?>"><?php echo SwpmUtils::_('Create your Account') ?></a>
        </div>
    </div>
</div>
