<?php get_header(); ?>



<div id="content">

	<?php get_template_part("parts/part", "notification-create-account"); ?>

	<?php while(have_posts()): the_post(); ?>

		<div class="grid-container">
			<div class="grid-x grid-margin-x">
				<div class="cell medium-8">
					<h1 class="h2"><?= \coast\Models\Vehicle::getFullTitle(); ?></h1>
					<?php if(!empty($lead = get_field('lead'))): ?>
						<p class="tile__content-lead"><?= $lead ?></p>
					<?php endif; ?>

					<div class="vehicle__gallery">
						<?php
							$gallery = get_field("gallery");
							$old_gallery = get_field("old_site_images");
						?>
						<div class="vehicle__feature-image">
							<?php if((!empty($gallery) && count($gallery) > 1) || !empty($old_gallery)): ?>
								<button class="slick-arrow slick-prev" aria-label="Previous Slide"><i class="fal fa-chevron-left" aria-hidden="true"></i></button>
							<?php endif; ?>

							<div class="vehicle__sticker-wrapper">
								<?php get_template_part("parts/vehicle", "sticker-new"); ?>
								<?php get_template_part("parts/vehicle", "sticker-hotbuy"); ?>
							</div>
							<?php if((!empty($gallery) && count($gallery) > 1) || !empty($old_gallery)): ?>
								<button class="button" id="vehicle__image-preview" aria-label="Enlarge Image"><i class="fas fa-search" aria-hidden="true"></i></button>
							<?php endif; ?>
							<?php get_template_part("parts/vehicle", "button-favourite"); ?>
							<?php
								if(!empty($gallery)): ?>
									<img src="<?= wp_get_attachment_image_url($gallery[0], 'large') ?>" alt="<?= \coast\ImageUtils::get_alt($gallery[0]) ?>">
							<?php elseif(!empty($old_gallery)): ?>
									<img src="<?= $old_gallery[0]["image_url"] ?>" alt="">
							<?php endif; ?>
							<?php if((!empty($gallery) && count($gallery) > 1) || !empty($old_gallery)): ?>
								<button class="slick-arrow slick-next" aria-label="Next Slide"><i class="fal fa-chevron-right" aria-hidden="true"></i></button>
							<?php endif; ?>
						</div>
						
						<?php if((!empty($gallery) && count($gallery) > 1) || !empty($old_gallery)): ?>
							<div class="vehicle__gallery-slider">
								<?php foreach($gallery as $image): ?>
									<a href="<?= wp_get_attachment_image_url($image, "large"); ?>" target="_blank" data-change-featured-image>
										<?= \coast\ImageUtils::get_dominant_image($image, array("small" => "medium", "medium" => "medium", "large" => "large")); ?>
									</a>
								<?php endforeach; ?>

								<?php while(have_rows("old_site_images")): the_row() ?>
									<a href="<?= get_sub_field("image_url") ?>" target="_blank" data-change-featured-image>
										<div class="cs__image-wrapper">
											<div class="cs__image" style="background-image: url('<?= get_sub_field("image_url") ?>');"></div>
										</div>
									</a>
								<?php endwhile; ?>
							</div>
						<?php endif; ?>
					</div>

					<div class="vehicle__quick-specs grid-x grid-margin-x grid-margin-y align-center">
						<?php if(!empty($category = \coast\Models\Vehicle::getPrimaryCategory())): ?>
							<div class="cell small-6 medium-3">
								<div class="vehicle__quick-spec">
									<div class="vehicle__quick-spec-icon initials"><?= \coast\Utils::getInitials($category->name) ?></div>

									<p><?= $category->name; ?></p>
									<span class="vehicle__quick-spec-desc">Category</span>
								</div>
							</div>
						<?php endif; ?>

						<?php if(!empty($odo = \coast\Models\Vehicle::getOdometer())): ?>
							<div class="cell small-6 medium-3">
								<div class="vehicle__quick-spec">
									<div class="vehicle__quick-spec-icon" aria-hidden="true"><i class="far fa-tachometer-alt-fast"></i></div>

									<p><?= $odo; ?></p>
									<span class="vehicle__quick-spec-desc">Odometer Reading</span>
								</div>
							</div>
						<?php endif; ?>

						<?php if(!empty(\coast\Models\Vehicle::getGVM()) || !empty(\coast\Models\Vehicle::getGCM())): ?>
							<div class="cell small-6 medium-3">
								<div class="vehicle__quick-spec">
									<div class="vehicle__quick-spec-icon" aria-hidden="true"><i class="far fa-weight-hanging"></i></div>

									<?php if(!empty(\coast\Models\Vehicle::getGVM()) && !empty(\coast\Models\Vehicle::getGCM())): ?>
										<p><?= \coast\Models\Vehicle::getGVM(false, true, 't') ?>/<?= \coast\Models\Vehicle::getGCM(false, true, 't') ?></p>
										<span class="vehicle__quick-spec-desc">GVM/GCM</span>
									<?php elseif(!empty(\coast\Models\Vehicle::getGVM())): ?>
										<p><?= \coast\Models\Vehicle::getGVM(false, true, 't') ?></p>
										<span class="vehicle__quick-spec-desc">GVM</span>
									<?php endif; ?>


								</div>
							</div>
						<?php endif; ?>

						<?php if(!empty($status = \coast\Models\Vehicle::getStatus())): ?>
							<div class="cell small-6 medium-3">
								<div class="vehicle__quick-spec">
									<div class="vehicle__quick-spec-icon" aria-hidden="true"><i class="far fa-file-alt"></i></div>

									<p><?= $status ?></p>
									<span class="vehicle__quick-spec-desc">Condition</span>
								</div>
							</div>
						<?php endif; ?>
					</div>

					<div class="vehicle__description-wrapper vehicle__main-section">
						<h2>Vehicle Description</h2>

						<div class="vehicle__description">
							<?php the_content(); ?>
						</div>
					</div>

					<?php if(!empty($specs = \coast\Models\Vehicle::getSpecifications())): ?>
						<div class="vehicle__specifications vehicle__main-section">
							<h2>Specifications</h2>
							<table>
								<tbody>
									<?php foreach($specs as $spec): ?>
										<tr>
											<td><strong><?= $spec["title"]; ?></strong></td>
											<td class="text-right"><?= $spec["value"]; ?></td>
										</tr>
									<?php endforeach; ?>
								</tbody>
							</table>
						</div>
					<?php endif; ?>
				</div>

				<div class="cell medium-4">
					<div class="vehicle__sidebar">
						<?php if(!empty($price = \coast\Models\Vehicle::getPrice())): ?>
							<div class="vehicle__price-wrapper text-center">
								<span class="vehicle__price"><?= $price; ?>*</span>
							</div>
						<?php endif; ?>

						<div class="vehicle__financing vehicle__sidebar-group">
							<h2>Do you need finance?</h2>
							<a href="<?= get_home_url(CSFRAMEWORK_MAIN_SITE) ?>/finance-insurance/" class="button secondary block" target="_blank"><i class="fas fa-calculator" aria-hidden="true"></i>Calculate Repayments</a>
						</div>

						<div class="vehicle__enquire vehicle__sidebar-group">
							<h2>Enquire about this vehicle</h2>
							<?php
								$field_args = \coast\Utils::get_gravity_prefill();

								gravity_form(1, false, false,false, $field_args, true, 1, true);

							?>
						</div>
						
						<!-- Insert Holiday Banner -->
                        <?php echo wp_get_attachment_image(45282, 'full', false, array('style' => 'width:100%;margin: 20px auto;display:block;')); ?>
                        <!-- Insert Holiday Banner END-->

						<div class="vehicle__callback vehicle__sidebar-group">
							<h2><i class="fas fa-phone" aria-hidden="true"></i> Request a callback</h2>

							<a href="#" class="button primary block" data-callback-reveal="<?= \coast\Models\Vehicle::getEnquireText() ?>">Send Request</a>

							<span class="vehicle__callback-success"><i class="fas fa-check-circle" aria-hidden="true"></i> Callback Requested</span>
						</div>

						<button onClick="window.print()" class="button secondary" id="print_page"><i class="fal fa-print" aria-hidden="true"></i> Print Page</button>

					</div>

					<div class="vehicle__disclaimer">
						<?php if(!empty($vehicle_disclaimer = get_field("disclaimer"))): ?>
							<small>*<?= $vehicle_disclaimer ?></small><br>
						<?php elseif(!empty($glob_disclaimer = get_field("disclaimer", "options"))): ?>
							<small>*<?= $glob_disclaimer ?></small><br>
						<?php endif; ?>

						<small>This site is protected by reCAPTCHA and the Google <a href="https://policies.google.com/privacy">Privacy Policy</a> and <a href="https://policies.google.com/terms">Terms of Service</a> apply.</small>
					</div>

				</div>
			</div>
		</div>

		<?php

		$args = array("post_type" => "vehicle", "posts_per_page" => 3, "post__not_in" => array(get_the_ID()));

		if(!empty($related = get_field("related"))) {
			$args['post__in'] = $related;
		} elseif(!empty($cats = get_field("category"))) {
			$args['tax_query'] = array(array(
									'taxonomy'	=> 'stock_category',
									'terms'		=> $cats,
									'field'		=> 'term_id',
									'operator'	=> 'IN',
								));
		}

		$query = new WP_Query($args);

		if($query->have_posts()): ?>
		<section id="vehicle__related" class="grid-container">
			<h2>Trucks you may also be interested in</h2>

			<div class="grid-x grid-margin-x">
				<?php while($query->have_posts()): $query->the_post(); ?>
					<div class="medium-4 cell">
						<?php get_template_part("parts/tile", "vehicle-minimal"); ?>
					</div>
				<?php endwhile; ?>
			</div>
		</section>
		<?php endif; ?>

	<?php endwhile; ?>
</div> <!-- end #content -->

<div class="reveal large" data-reveal id="vehicle__reveal-image" data-animation-in="fade-in" data-animation-out="fade-out">
	<button class="close-button" data-close aria-label="Close modal" type="button">
		<span aria-hidden="true"><i class="fal fa-times"></i></span>
	</button>

	<button class="arrow" data-prev aria-label="Previous image" type="button">
		<span aria-hidden="true"><i class="fal fa-angle-left"></i></span>
	</button>

	<button class="arrow" data-next aria-label="Next image" type="button">
		<span aria-hidden="true"><i class="fal fa-angle-right"></i></span>
	</button>

	<div class="image"></div>
</div>

<?php get_template_part("parts/reveal", "callback"); ?>

<?php get_footer(); ?>
